extension.json schema does not support custom parameters/classes for "ResourceModules"
Closed, ResolvedPublic

Description

Custom RL modules can define their own parameters, so validating against the ResourceLoaderFileModule ones isn't going to work. We need to:

  • Remove the "additionalProperties": false,
  • Not validate parameters if a 'class' property is set.
Legoktm created this task.Jul 8 2015, 9:36 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added subscribers: Legoktm, Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2015, 9:36 PM
Krinkle removed a subscriber: Krinkle.Jul 8 2015, 9:38 PM
Krinkle added a subscriber: Krinkle.

Change 228753 had a related patch set uploaded (by Legoktm):
registration: Support custom classes in "ResourceModules" schema

https://gerrit.wikimedia.org/r/228753

Legoktm claimed this task.Aug 2 2015, 11:43 PM
Krinkle triaged this task as Normal priority.Aug 5 2015, 1:03 AM
Krinkle set Security to None.
Krinkle moved this task from Inbox to Accepted: Enhancement on the MediaWiki-ResourceLoader board.

Change 228753 merged by jenkins-bot:
registration: Support custom classes in "ResourceModules" schema

https://gerrit.wikimedia.org/r/228753

Legoktm closed this task as Resolved.Jan 2 2016, 12:14 AM